2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java: Remove unused imports
	of org.gnu.glib.Struct and import org.gnu.gtk.Widget.

2007-02-05  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (libftk_a_SOURCES): Add src/widgets/ftkcustomatkobject.h,
	src/widgets/ftkcustomdrawingarea.h, and src/widgets/ftkeventviewer.h.
	* Makefile.am (EXTRA_DIST): Remove src/widgets/ftkeventviewer.h.

2007-01-31  sami wagiaalla  <swagiaal@redhat.com>

	* src/widgets/ftkcustomatkobject.c: Removed debug output. 

2007-01-30  sami wagiaalla  <swagiaal@redhat.com>

	* src/widgets/ftkcustomdrawingarea.c: New file.
	* src/widgets/ftkcustomatkobject.c: New file. 
	* src/widgets/ftkcustomdrawingarea.h: New file.
	* src/widgets/ftkcustomatkobject.h: New file. 
	* src/jni/com_redhat_ftk_CustomDrawingArea.c:  New file.
	* src/jni/com_redhat_ftk_CustomAtkObject.c:  New file.
	* src/java/com/redhat/ftk/CustomDrawingArea.java:  New file.
	* src/java/com/redhat/ftk/CustomAtkObject.java: New file.
	* Makefile.am: Added building rules to include CustomAtkObject.java,
	CustomDrawingArea.java, com_redhat_ftk_CustomAtkObject.c,
	com_redhat_ftk_CustomDrawingArea.c.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* src/widgets/.cvsignore: Delete.
	* test/widget/.cvsignore: Delete.
	* test/wrapper/.cvsignore: Delete.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* test/wrapper/Makefile-pty: Refer to frysk-imports, intead of frysk-sys.
	* test/wrapper/Makefile-vtepty: Ditto.
	* test/wrapper/PtyTest.java: Load frysk-imports, instead of frysk-sys.
	* test/wrapper/VtePtyTest.java: Ditto.

2006-10-13  Andrew Cagney  <cagney@redhat.com>

	* test/wrapper/VtePtyTest.java: Coding nit, remove NULL==.
	* src/java/com/redhat/ftk/EventViewer.java: Ditto.

2006-09-18  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Added api to change alpha values externally.
	* src/widgets/ftkeventviewer.h: Ditto.
	* src/java/com/redhat/ftk/EventViewer.java: Ditto
	* src/jni/com_redhat_ftk_EventViewer.c: Ditto.

2006-09-15  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Changed alpha value of markers, for bug 3211 
	Added preliminary support for giving access to the interval slider, doesn't work yet.
	* src/widgets/ftkeventviewer.h: Added prelim support for interval slider.
	* src/java/com/redhat/ftk/Eventviewer.java: Ditto.
	* src/jni/com_redhat_ftk_EventViewer.c: Ditto.

2006-09-14  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Made redraw_canvas more generic and used it to redraw legend area as well.
	Added a grid and api stuff to change the grid size, color and whether it is showing.
	* src/widgets/ftkeventviewer.h: Added a grid and api stuff to change the grid size, color and whether it is showing.
	* src/jni/com_redhat_ftk_EventViewer.c: Ditto.
	* src/java/com/redhat/ftk/Eventviewer.java: Ditto.

	* src/widgets/ftkeventviewer.c: Changed grid lines to not antialias. The two options for antialiasing are: NONE, and GRAY, which just grays the lines.
	There is a third option SUBPIXEL, but Cairo documentation says no backend supports this yet.

	* src/widgets/ftkeventviewer.c: Fixed problem with large glyphs not being centered properly.

2006-09-13  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Added support for user resizable glyph sizes.
	* src/widgets/ftkeventviewer.h: Ditto.
	* src/jni/com_redhat_ftk_EventViewer.c: Ditto.
	* src/java/com/redhat/ftk/EventViewer.java: Ditto.

	* src/widgets/ftkeventviewer.c: Changed to display real time and microseconds.

2006-09-12  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Shrank size of glyphs.

	* src/widgets/ftkeventviewer.c: Made trace lines "thinner" 
	Apparently thinner than 1.0 means that the line becomes grayer. 
	Still looks nicer than black.

2006-09-08  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Ran artistic style for gnu formatting.
	Added mouse edge scrolling
	* src/widgets/ftkeventviewer.h: Ditto.

2006-09-07  Nurdin Premj  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c(ftk_da_redraw_canvas): Added.
	Use ftk_da_redraw_canvas to re-expose the drawing area rather than calling expose manually.
	Shrank the amount of dead area at the end of eventviewer to 1% of the screen size (rather than 10%).

2006-09-06  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c: Fixed issues with horizontal and vertical scrollbars.
	Changed default span to 10 to reflect default value in java file.
	Added code to deal with drawing area size reallocations. So that more traces can be drawn.
	Cleaned up accessibility names for standard widgets.
	Removed redundant checks of GTK_WIDGET_DRAWABLE. ftk_eventviewer_da_expose 
	already checks for this now.
	Changed to only draw the number of traces that can be seen on  the screen.

2006-08-31  Nurdin Premji  <npremji@redhat.com>
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_da_expose):added check for 
	GTK_WIDGET_DRAWABLE

2006-08-30  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.c: Added event accessibility. Renamed ftk_event_s to FtkEvent
	* src/widgets/ftkeventviewer.h: Ditto.
	* src/widgets/ftk_marshaller.list: Added
	* Makefile.am: Added dependency to create ftk_marshaller.h and .c files.
	* src/jni/com_redhat_ftk_EventViewer.c: changed from storing 
	GTK_POINTER_TO_INT in a jint to a jlong then casted down to jint.

2006-08-23  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.c: Ditto.
	Also moved main scrollbar back out of scrollwindow for now until I can implement scrolling.
	* src/widgets/ftkeventviewer.h: Changed legend and main drawing areas to custom widgets.
	So accessibility is cleaner.
	
	* src/widgets/ftkeventviewer.c: Removed print statement.

2006-08-18  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.c: Fixed bugs with eventviewer not updating
	when new events added. 

2006-08-17  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am: Stopped recompiling the class files 3 times.
	Should also fix make -j bugs. Thanks to cagney.
	
	ftkeventviewer.c (ftk_eventviewer_init): Fixed exception error.

2006-08-16  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.h: More trace highlighting.
	* src/widgets/ftkeventviewer.c: Reimplemented macro.
	More code on trace highlighting, should now feel "normal".
	* src/jni/com_redhat_ftk_EventViewer.c: Reimplemented macro "kludge".
	
	* src/jni/com_redhat_ftk_EventViewer.c: Ditto
	* src/widgets/ftkeventviewer.c: Removed kludge of storing integer in a pointer.	
	* src/java/com/redhat/ftk/EventViewer.java: Removed kludge of casting integer as a pointer.

	* src/widgets/ftkeventviewer.c: Added more code for trace highlighting based on button release
	as well as button click events. User clicks and then drags away == cancel.

2006-08-15  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.h: Ditto.
	* src/widgets/ftkeventviewer.c: Asthetic changes to eventviewer.
	Note that ftk_eventviewer_expose must manually call gtk_propogate_expose.

2006-08-14  Nurdin Premji  <npremji@redhat.com>

	* src/jni/com_redhat_ftk_EventViewer.c (Java_com_redhat_ftk_EventViewer_ftk_1eventviewer_1get_1selected_1traces)
	Fixed 64/32 bit breakages with GPOINTER_TO_INT macro.
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_get_selected_traces): 
	Fixed 64/32 bit breakages with GINT_TO_POINTER macro.

2006-08-14  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (ftk.jar): Add all classes to jar.
	* src/java/com/redhat/ftk/EventViewer.java (getSelectedTraces):
	Returns long[].
	(ftk_eventviewer_get_selected_traces): Likewise.
	* src/jni/com_redhat_ftk_EventViewer.c
	(Java_com_redhat_ftk_EventViewer_ftk_1eventviewer_1get_1selected_1traces):
	Returns jlongArray.
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_get_selected_traces):
	Uses longs.

2006-08-11  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java (getSelectedTraces): Ditto.
	* src/jni/com_redhat_ftk_EventViewer.c (ftk_ev_get_selected_traces): Added code to return selected traces to java.
	* src/widgets/ftkeventviewer.c: Created code to treat traces as official GObjects.
	Added code to make traces selectable/highlightable.
	Added code to return selected traces to java.
	* src/widgets/ftkeventviewer.h: Added code to treat traces as official GObjects.

2006-08-03  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.c: Changed all ints to gints.
	* src/widgets/ftkeventviewer.h: Ditto.

	* src/widgets/ftkeventviewer.c: Added accessibility support for traces.
	* src/widgets/ftkeventviewer.h: Ditto. 

2006-08-01	Nurdin Premji	<npremji@redhat.com>
	
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_accessible_get_n_children)
	Added back missing accessibility for legend area, drawing area, and main scrollbar.
	(ftk_eventviewer_accessible_find_child): Ditto.

2006-07-31  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.h (ftk_marker_index): Added for accessibility.
	(ftk_marker_s): Added index for accessibility.
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_style): Cleaned out commented code.
	(ftk_eventviewer_class_init): Added accessibility stuff.
	(ftk_eventviewer_set_marker_rgb_e): Also expose the legend area as well as drawing area.
	Added accessibility methods, dogtail should now be able to detect observer/markers.

2006-07-25  Nurdin Premji  <npremji@redhat.com>

	* src/widgets/ftkeventviewer.c (create_button_box): Fixed ally issue 
	with slider getting label name.
	(ftk_eventviewer_style): Removed marker color changes, markers/observers colors
	will be handled manually.
	* src/jni/com_redhat_ftk_EventViewer.c (ftk_1eventviewer_1delete_1trace): Added 
	* src/java/com/redhat/ftk/EventViewer.java (deleteTrace): Added.

2006-07-21	Nurdin Premji <npremji@redhat.com>
	
	* src/widgets/ftkeventviewer.c: Added large code separating comments.
	(initialise_widget): Added initial support for user	defined 
	hold_toggle_button state.
	(ftk_ev_button_press_event): Removed printf statement.
	(ftk_eventviewer_add_trace_e): Changed to use default normal foreground color.
	* src/widgets/ftkeventviewer.h: Added initial support for user defined
	hold_toggle_button state.

2006-07-19  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java (ftk_eventviewer_get_bg_default): Added.
	(ftk_eventviewer_get_fg_default): Added.
	(getBackgroundDefault): Added.
	(getForegroundDefault): Added.		
	* src/jni/com_redhat_ftk_EventViewer.c (ftk_1eventviewer_1get_1bg_1default): Added
	(ftk_1eventviewer_1get_1fg_1default): Added.
	* src/widgets/ftkeventviewer.h (ftk_eventviewer_get_fg_default): Added.
	* src/widgets/ftkeventviewer.c (ftk_eventviewer_preset_bg_rgb_e): Added.
	(ftk_eventviewer_preset_marker_rgb_e): Added.
	(ftk_eventviewer_preset_trace_rgb_e): Added.
	(ftk_eventviewer_style): Added.
	(create_drawing_area): Added signal handler for changing styles.
	(ftk_eventviewer_get_bg_default): Removed print statement.
	(ftk_eventviewer_set_bg_rgb_e): Changed to use preset_bg to avoid duplicate code.
	(ftk_eventviewer_set_marker_rgb_e): Ditto.
	(ftk_eventviewer_set_trace_rgb_e): Ditto.
	(initialise_widget): Changed to use default theme style for bg colors.
	
	* Makefile.am: Added back target dependencies to avoid make -jN errors.

2006-07-17  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am: Rearranged the order of the targets to avoid make -j2 errors.

2006-07-14  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java (ftk_eventviewer_set_bg_default): Added.
	(setBackgroundDefault): Added.
	* src/jni/com_redhat_ftk_EventViewer.c Added support for setting background 
	using default colors.
	* src/widgets/ftkeventviewer.c Added support for setting background using default colors
	* src/widget/ftkeventviewer.h Added headers for support for setting background using 
	default colors.

2006-07-14  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Added copyright statements.

2006-07-13  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/SimultaneousEvent.java: Added java-gnome
	license 
	* src/java/com/redhat/ftk/EventPair.java: Added java-gnome license

2006-07-12  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/SimultaneousEvent.java: Ran GNU Formatter.
	* src/java/com/redhat/ftk/EventPair.java: Added.
	* src/java/com/redhat/ftk/EventViewer.java
	(ftk_eventviewer_tie_event_array): Added. 
	(ftk_eventviewer_delete_trace): Added.
	* src/widgets/ftkeventviewer.c:
	Added accessibility information, and some pretty comments that show
	what each portion of the widget code looks like.

2006-07-10  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (EventViewer.o): Add $(srcdir) to include path.
	(SimultaneousEvent.o): Likewise.

2006-07-08  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Added a time readout to the
	tooltip types, added a button to center all available data in the
	display, added controls to allow the mouse wheel to scroll
	multiple traces up and down, control-mouse wheel increases and
	decreases the display interval, and shift-mouse wheel scrolls the
	traces left and right.

2006-07-07  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Moved the legend out of the
	scrolled window into it's own drawing area, tweaked tooltips to
	handle that.
	* src/java/com/redhat/ftk/EventViewer.java: Took out my
	out-commenting (see below).  It works now; don't know why it
	didn't last night.

2006-07-06  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Added a delete_trace() fcn, added
	a vertical scrollbar to the drawing area, rewrote to associate the
	events with traces rather than the widget.
	* src/widgets/example/vev.c: Added tests for above.
	* src/java/com/redhat/ftk/EventViewer.java: Commented out
	appendSimultaneousEvents() and
	ftk_eventviewer_append_simultaneous_events_array()--
	com.redhat.ftk.SimultaneousEvent couldn't be found and was killing
	the build.
	
2006-07-06  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java
	(ftk_eventviewer_tie_new): Added. 
	(ftk_eventviewer_set_tie_rgb): 
	(ftk_eventviewer_set_tie_color): Added.
	(ftk_eventviewer_set_tie_linestyle): Added.
	(ftk_eventviewer_append_simultaneous_events_array): Added.
	(appendTie): Added.
	(setTieRGB): Added.
	(setTieColor): Added.
	(setTieLinestyle): Added.
	(appendSimultaneousEvents): Added.
	(setBackgroundColor): Changed to use _set_color method in
	ftkeventviewer.c through jni.
	(setTraceColor): Ditto.
	(setMarkerColor): Ditto.
	* src/java/com/redhat/ftk/SimultaneousEvent.java: Added.
	* Makefile.am: Added in SimultaneousEvent.java and modified
	classpath of Eventviewer to see this class.
	* src/jni/com_redhat_ftk_EventViewer.c: Added support for
	set_*_color methods. Changed ints to gints. Uncommented resize
	support, now implemented. Added support for ties and Simultaneous
	Events. 
	* src/widgets/ftkeventviewer.c: Added a comment to show where code
	to create new marker starts.
	
2006-07-05  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Fixed a couple of 'unused
	variable' warnings.for bz 2880.  Added
	ftk_eventviewer_append_simultaneous_event_array() to make life
	easier for rhe Java wrapper.  Added
	ftk_eventviewer_tie_event_array() as well.
	* src/widgets/example/vev.c:  Added to provide examples of how to
	use the widget.  Fixed the bug with new traces overlaying the legend.

2006-07-04  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Added ftk_eventviewer_tie_events
	to the API to create visual links between non-simultaneous
	events.  Added code to create the links.
	* src/widgets/eventviewer.sgml:
	* src/widgets/eventviewer.html:  Documented the above, added the
	testcase I use to wring out the widget as an example app, and
	added a few screen shots.

2006-07-03  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Removed the label argument from
	ftk_eventviewer_tie_new and the ftk_eventviewer_set_label
	functions.
	* src/widgets/eventviewer.sgml:
	* src/widgets/eventviewer.html: Added documentation for the
	eventviewer API.  (eventviewer.html is derived from
	eventviewer.sgml via docbook2html -u)
	* src/widgets/Makefile: (The local Makefile--not part of the frysk
	build process.) Added a rule for making eventviewer.html.

2006-06-29  Nurdin Premji  <npremji@redhat.com>

	* src/java/com/redhat/ftk/EventViewer.java (setBackgroundColor): Added.
	(setTraceColor): Added.
	(setMarkerColor): Added.

2006-06-26  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c: Fix for bz 2844: the info pop-up
	getting clipped when it exceeds the right-hand edge of the frysk
	top-level window.  Patched by postioning the pop- proportionally
	to the offset of the ptr w.r.t the size ofthe widget.

2006-06-23  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c: Added a bit of widget clean-up I
	accidently left out earlier.

2006-06-22  Chris Moller  <moller@mollerware.com>

	* src/java/com/redhat/ftk/EventViewer.java:
	* src/jni/com_redhat_ftk_EventViewer.c: Tweaked to match changes
	in the widget API.
	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Re-enable "tooltips" (commented
	out during cairo surgery), added user-settable info strings to
	traces, markers, and events (per Sami's "printf" paradigm),
	re-enabled simultaneous event ties (also suppressed for cairo
	surgery, new version based on cairo).

2006-06-20  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h:  Replaced GDK drawing primitives
	in eventviewer with cairo graphics.  Replaced primitively drawn
	markers (the little circles and squares--also GDK primitives) with
	pango/cairo layouts using the Dingbats font.  Added automatic
	color selection for markers and traces and automatic glyph
	selection for markers.

2006-06-09  Chris Moller  <moller@mollerware.com>

	* test/widget/forker.c: Added to provide an event generator for frysk.

	* test/wrapper/.cvsignore: Lose the *.class files.
	* test/wrapper/Makefile-pty:
	* test/wrapper/Makefile-vtepty:
	* test/wrapper/PtyTest.java:
	* test/wrapper/VtePtyTest.java: Added tests for the Pty class and
	Pty/Vte working together.

2006-06-06  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkeventviewer.c:
	* src/widgets/ftkeventviewer.h: Added varargs simultaneous events and
	visual ties for simultaneous events, replaced the interval spinbox
	with a logarithmic slider, and added label and marker info popups.

2006-05-22  Chris Moller  <moller@mollerware.com>

	* Makefile.am: Took the stripchart widgets and their wrappers out
	of the build by commenting out references to the following:
	  src/widgets/ftkstripchart.c
	  src/widgets/ftkstripchart.h
	  src/widgets/ftkstripchartx.c
	  src/widgets/ftkstripchartx.h
	  src/java/com/redhat/ftk/Stripchart.java
	  src/java/com/redhat/ftk/StripchartX.java
	  src/jni/com_redhat_ftk_Stripchart.c
	  src/jni/com_redhat_ftk_StripchartX.c
	A GPOINTER_TO_INT() cast was causing problems under ppc64.

2006-05-10  Chris Moller  <moller@mollerware.com>

	* src/jni/com_redhat_ftk_EventViewer.c:
	* src/java/com/redhat/ftk/EventViewer.java: Added new files to
	implement and test the EventViewer wrapper.
	* Makefile.am: Added builds for the new widget.

2006-05-09  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkstripchartx.c:
	* src/widgets/ftkstripchartx.h:
	* test/widget/uev.c: Added new files to implement and test the
	eventviewer widget.
	* Makefile.am: Added builds for the new widget.

2006-05-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add src/widgets/ll.xpm and
	src/widgets/ll.xpm.

2006-04-11  Chris Moller  <moller@mollerware.com>

	* src/jni/com_redhat_ftk_StripchartX.c:
	* src/java/com/redhat/ftk/StripchartX.java:
	* src/widgets/ftkstripchartx.c:
	* src/widgets/ftkstripchartx.h:
	* test/widget/tstripchartx.c:
	* test/wrapper/StripchartXTest.java: Added new files to implement and
	test the extended stripchart widget.
	* test/widget/Makefile:
	* test/wrapper/Makefile:
	* Makefile.am: Added builds for the new widget.

2006-02-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.am: Removed fix commited on 2006-02-18 as it is no
	longer needed.

2006-02-23  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkstripchart.c: Replaced librt timer_*() timers
	with glib g_timeout_add().
	* src/widgets/ftkstripchart.h: Removed unnecessary stuff for
	timer_*() timers.

2006-02-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.am: Added an explicit rule to link libftk.so in
	order to insert -lrt into the list of libraries (see bz 2353).

2006-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (CLEANFILES): Remove *.o, and *.class.  Add
	com/redhat/ftk/Stripchart.class.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* test/widget/Makefile: Delete references to /opt/frysk.
	* test/wrapper/Makefile: Ditto.
	* test/wrapper/Makefile-vte: Ditto.
	* Makefile-native (INSTALLDIR): Replace /opt/frysk with
	/usr/local.
	* src/widgets/ftk.pc: Replace /opt/frysk with ${prefix}.
	* src/widgets/Makefile (INSTALLDIR): Replace /opt/frysk with
	/usr/local.

2006-01-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add src/widgets/ftkconsole.h,
	src/widgets/ftkstripchart.h, and src/widgets/ftktimeline.h.

2006-01-26  Andrew Cagney  <cagney@redhat.com>

	* src/widgets/ftkconsole.c (ftk_console_new): Delete <<i>>,
	unused.
	(ftk_console_append_text_e): Return TRUE.
	* src/widgets/ftkstripchart.c (ftk_stripchart_configure): Delete
	<<ds>>, unused.
	(ftk_stripchart_expose): Delete <<d_this>>, unsed.
	(ftk_stripchart_new): Delete <<i>>, unused.
	(ftk_stripchart_expose): Cast tv_usec.
	* Makefile.am (AM_CFLAGS): Replace CFLAGS, add -Werror and -Wall.
	(libftkjni_a_SOURCES, noinst_LIBRARIES, libftkjni_so_SOURCES) 
	(libftkjni.so, libftk_a_SOURCES, noinst_LIBRARIES)
	(libftk_so_SOURCES, libftk.so): Define.
	(.a.so): New rule.

2006-01-14  Diego Novillo  <dnovillo@redhat.com>

	* Makefile.am (CFLAGS): Add -fPIC -DPIC -std=gnu99.
	(ftkstripchart.o, ftkconsole.o): Use.
	(Stripchart.o): Add -fPIC.

2006-01-05  Andrew Cagney  <cagney@redhat.com>

	* Directory moved from frysk-imports/ to frysk-gtk/.

2005-12-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (libftk_SOURCES): Define.
	(libftkjava_SOURCES, libftkjni_SOURCES): Define.

2005-12-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (solibdir, solib_PROGRAMS): Define, have the .so
	files installed into $(libdir).
	(tlwidgetsdst): Eliminate.
	(javadir, java_DATA): Define, have the .jar file installed into
	$(datadir)/java.

2005-12-12  Chris Moller  <moller@mollerware.com>

	* TODO: Added new file.

2005-12-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (ftkconsole.o, ftkstripchart.o): Pass
	FRYSK_IMPORTS_CFLAGS to CC, not FRYSK_IMPORTS_LIBS, or output from
	pkg-config.

	* Makefile.am: Use FRYSK_IMPORTS_LIBS, FRYSK_IMPORTS_CFLAGS, and
	FRYSK_IMPORTS_CLASSPATH throughout.

2005-12-09  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkstripchart.c: Added tests to check if the widget
	is mapped before drawing it.

2005-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Replace references to /opt/frysk with corresponding
	makefile macros.

2005-12-05  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkstripchart.c: Added ftk_stripchart_set_readout_rgb_e(),
	ftk_stripchart_set_readout_rgb(),
	ftk_stripchart_set_chart_rgb_e(), and ftk_stripchart_set_chart_rgb
	to allow the user to set the readout color or both background and
	readout simultaneously.
	* src/widgets/ftkstripchart.h: Added fcndefs for above.
	* test/widget/tstripchart.c: Added tests for above.
	* src/java/com/redhat/ftk/Stripchart.java: Added method
	setReadoutRGB and setChartRGB using above fcns. 
	* src/jni/com_redhat_ftk_Stripchart.c: Added jni for above fcns.
	* test/wrapper/StripchartTest.java: Add test for above methods.

2005-12-04  Chris Moller  <moller@mollerware.com>

	* src/java/com/redhat/ftk/Stripchart.java: Added method
	setBackgroundRGB using ftk_stripchart_set_bg_rgb().
	* src/jni/com_redhat_ftk_Stripchart.c: Added jni for
	ftk_stripchart_set_bg_rgb().
	* test/wrapper/StripchartTest.java: Add test for setBackgroundRGB.

2005-12-03  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkstripchart.c: Added ftk_stripchart_set_bg_rgb_e()
	and ftk_stripchart_set_bg_rgb() to allow the user to set the
	background color of the chart.
	* src/widgets/ftkstripchart.h: Added fcndefs for above.
	* test/widget/tstripchart.c: Added tests for above.

2005-12-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* src/java/com/redhat/ftk/Stripchart.java: Changed createEvent to
	return the id of the added event (patch provided by Chris Moller
	<moller@mollerware.com>) 
	* src/widgets/ftkstripchart.c: patch provided by Chris Moller
	<moller@mollerware.com> 
	* Makefile.am: Replaced hardcoded classpath arguments with appropriate
	environment variables.

2005-11-29  Chris Moller  <moller@mollerware.com>

	* src/widgets/ftkconsole.c: Add console widget.
	* src/widgets/ftkconsole.h: Add console widget.
	* src/widgets/Makefile:     Add console widget to local build.
	* test/widget/tconsole.c:   Add console widget test.
	* test/widget/Makefile:     Add console widget test.to local
	build.
	* Makefile.am: Add console widget to frysk build.
	* console-screenshot.jpg:   Screenshot of the console widget.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Use $(GCJ), and $(CC).

2005-11-25  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am ($(tlwidgetsdst)/ftk.jar): Use $(JAR).

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore: New, add Makefile.in.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
